Bug 171015 - CAN-2005-3185 NTLM buffer overflow
CAN-2005-3185 NTLM buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
http://article.gmane.org/gmane.comp.w...
reported=20051012,public=20051012,imp...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 08:29 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 09:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2005-10-17 08:29:39 EDT
+++ This bug was initially created as a clone of Bug #170670 +++

+++ This bug was initially created as a clone of Bug #170666 +++

The NTLM authentication code in wget was derived form the libcurl NTLM auth, so
wget is vulnerable to this issue.

This text was scavanged from the libcurl advisory:

libcurl's NTLM function can overflow a stack-based buffer if given a too long
user name or domain name. This would happen if you enable NTLM authentication
and either:

 A - pass in a user name and domain name to libcurl that together are longer
     than 192 bytes

 B - allow (lib)curl to follow HTTP "redirects" (Location: and the appropriate
     HTTP 30x response code) and the new URL contains a URL with a user name
     and domain name that together are longer than 192 bytes

-- Additional comment from bressers@redhat.com on 2005-10-13 13:24 EST --
Created an attachment (id=119931)
Proposed patch from upstream

-- Additional comment from bressers@redhat.com on 2005-10-13 13:33 EST --
This issue also affects FC3

Note You need to log in before you can comment on or make changes to this bug.